import java.awt.Color;
import java.awt.Dimension;
import java.awt.Shape;
import java.util.ArrayList;


/**
 * contains the main function and creates a frame for the worldPanel, toolPanel and colorPanel
 *
 * @author Matthew Drosos and Colin DeClue.
 *         Started work 4/07/08
 */
public class Paint {

	/**
	 * creates a paint frame that contains a ColorPanel, ToolPanel, and WorldPanel
	 *
	 * @param args 
	 */
	public static void main(String[] args) {
		PaintFrame frame;
    	frame = new PaintFrame();
    	ArrayList<Shape> shapes = new ArrayList<Shape>();
    	ArrayList<Boolean> fill = new ArrayList<Boolean>();
    	ArrayList<Color> color = new ArrayList<Color>();
        Dimension worldSize = new Dimension(800,600);
        ColorPanel colorPanel = new ColorPanel();
        ArrayList<WorldPanel> panels= new ArrayList<WorldPanel>();
        ToolPanel toolPanel = new ToolPanel(shapes, fill, color, colorPanel, panels);
        frame.setVisible(false);
        WorldPanel worldPanel = new WorldPanel(worldSize, Color.white, toolPanel, shapes, fill, color);
        panels.add(worldPanel);
        frame.add(colorPanel);
        frame.add(worldPanel);
        frame.add(toolPanel);
        frame.setVisible(true);
        frame.repaint();
	}

}
